### Method

# EDataBook BookBackendSync get_contact_list_uids

since: 3.34

#### Declaration [src]

    gboolean
    e_book_backend_sync_get_contact_list_uids (
      EBookBackendSync* backend,
      const gchar* query,
      GSList** out_uids,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Obtains a set of ID strings for contacts which satisfy the criteria specified in `query`, and deposits them in `out_uids`.

The returned ID strings must be freed with `g_free()` with finished with them.

If an error occurs, the function will set `error` and return `FALSE`. Note that an empty result set does not necessarily imply an error.

Available since: 3.34

#### Parameters

`query`

  Type: `const gchar*`

  A search query in S-expression format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_uids`

  Type: A list of `utf8`

  A `GSList` in which to deposit results.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure.